Bug 199313 - Create API to allow bind JFX runtime with JDK runtime in JavaPlatform
Create API to allow bind JFX runtime with JDK runtime in JavaPlatform
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Platform
7.1
All All
: P3 (vote)
: 7.1
Assigned To: Tomas Zezula
issues@java
: API, PLAN, UI
Depends on:
Blocks: 199269
  Show dependency treegraph
 
Reported: 2011-06-09 15:05 UTC by Tomas Zezula
Modified: 2011-07-19 13:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-06-09 15:05:17 UTC
Proposed solution:
The JavaSe platform will provide a friend API to JFX support which will use this API to inject a customizer tab into J2SEPlatform customizer.

The JFX support will define property
platform.${platform_name}.jfxruntime
which points to JFX runtime (classpath) for each JFX enabled platform. The property should be stored in the build.properties.

The JFX template of J2SEProject will add the property to endorsed cp.
Comment 1 Tomas Zezula 2011-07-15 08:13:16 UTC
Fixed jet-main dd26c65c4e0b
Comment 2 Quality Engineering 2011-07-19 13:56:11 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/dd26c65c4e0b
User: Tomas Zezula <tzezula@netbeans.org>
Log: #199313:Create API to allow bind JFX runtime with JDK runtime in JavaPlatform


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo